using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.OleDb;

namespace baoge.Admin
{
	/// <summary>
	/// Admin_EditChannel 的摘要说明。
	/// </summary>
	public class Admin_EditChannel : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.TextBox ChannelName;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldValidator1;
		protected System.Web.UI.WebControls.TextBox ReadMe;
		protected System.Web.UI.WebControls.Label OpenType;
		protected System.Web.UI.WebControls.Label ModuleType;
		protected System.Web.UI.WebControls.Button Button1;
        public int ChannelID;
		private void Page_Load(object sender, System.EventArgs e)
		{
			// 在此处放置用户代码以初始化页面
			if(Session["AdminName"]==null)
			{
				Response.Redirect("Admin_Login.aspx");
			}
			if(!IsPostBack)
			{
				ChannelDataBind();
			}
			
		}

		private void ChannelDataBind()
		{
			//取得数据库路径
			string dbPath=System.Configuration.ConfigurationSettings.AppSettings["dbPath"];
			//定义连接字符串
			string ACconnStr="Provider=Microsoft.Jet.OleDb.4.0;Data Source="+Server.MapPath(dbPath);
			//创建数据库对像
			OleDbConnection ACconn=new OleDbConnection(ACconnStr);
			//数据库操作
			try
			{
				ACconn.Open();
				//取得所需操作的记录ID
				int ChannelID=Convert.ToInt32(Request.QueryString["ChannelID"].Trim());

				//定义SQL语句
				string ACsql="select ChannelID,ChannelName,ReadMe,OpenType,ModuleType from Channel where ChannelID="+ChannelID;
				//创建Command对像
				OleDbCommand ACcomm=new OleDbCommand(ACsql,ACconn);
				//通过执行Command实例化DataReader类
				OleDbDataReader ACdr=ACcomm.ExecuteReader();
				if(ACdr.Read())
				{
					//string ChannelId=ACdr["ChannelID"].ToString();
					ChannelName.Text=ACdr["ChannelName"].ToString();
					ReadMe.Text=ACdr["ReadMe"].ToString();
					if (ACdr["OpenType"].ToString()=="0")
					{
						OpenType.Text="原窗口打开";

					}
					else
					{
						OpenType.Text="新窗口打开";
					}
					
					if(ACdr["ModuleType"].ToString()=="1")
					{
						ModuleType.Text="信息";
					}
					else if(ACdr["ModuleType"].ToString()=="2")
					{
						ModuleType.Text="下载";
					}
					else
					{
						ModuleType.Text="产品";

					}
					ACdr.Close();

				}
				else
				{
					Response.Write("对不起，库中已无这条记录");
				}
			
			}
			catch(Exception ex)
			{
				Response.Write(ex.ToString());
			}
			finally
			{
				ACconn.Close();

			}
		}

		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{    
			this.Button1.Click += new System.EventHandler(this.Button1_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void Button1_Click(object sender, System.EventArgs e)
		{
			int ChannelID=Convert.ToInt32(Request.QueryString["ChannelID"].Trim());
			//取得数据库路径
			string dbPath=System.Configuration.ConfigurationSettings.AppSettings["dbPath"];
			//定义连接字符串
			string ACconnStr="Provider=Microsoft.Jet.OleDb.4.0;Data Source="+Server.MapPath(dbPath);
			//创建数据库对像
			OleDbConnection ACconn=new OleDbConnection(ACconnStr);
			//数据库操作
			try
			{
				ACconn.Open();
				//定义SQL语句
				string ACsql1="update Channel set ChannelName='"+ChannelName.Text+"',ReadMe='"+ReadMe.Text+"' where ChannelID="+ChannelID;
				//创建Command对象
				OleDbCommand ACcomm=new OleDbCommand(ACsql1,ACconn);
                //执行SQL
				ACcomm.ExecuteNonQuery();
				Response.Write("<script>alert('频道修改成功');</script>");
				Response.Write("<script>history.go(-2);</script>");


			}
			catch(Exception ex)
			{
			Response.Write(ex.ToString());
			}
			finally{
			ACconn.Close();
			}

		}
	}
}
